//--------------------------------------------
//       program rk13
//
#include <stdio.h>
#include "RKData.h"
#include "solveODE.h"
#include "DataRec.h"
int main()
{
// initial conditions
    double y[] = {0, 1.0};
    double h = 0.02;
    int iteration = 1000;
//--------------------------------
    int n = sizeof(y)/sizeof(double);
    int i;
    double x;

    CsolveODE de;
    CDataRecorder rec;

    de.initState(n,h,y);
    rec.Start(n,y);

    for(i=0;i<iteration;i++){
        x = h*i;
        rec.StoreData(x);
        de.rk4(x);
    }
    rec.Stop();
    rec.Replay();
    return 0;
}
